=== debian/changelog ===
irrlicht (1.8.5+ds-2) unstable; urgency=medium

  * Drop badly-placed index.html.
  * Ship the media files so examples work. (Closes: #572309)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 03 Dec 2021 11:32:16 +0100

irrlicht (1.8.5+ds-1) unstable; urgency=medium

  * Add a +ds prefix and get rid of Windows binaries
  and embedded libs.
  * Adapt d/copyright to newest upstream.
  * Get rid of the explicit -dbg package in d/control.
  * New upstream release.
  * Update patches.
  * Rework building the documentation.
  * Add a patch to fix typos.
  * Enable hardening options.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 16 Nov 2021 23:33:36 +0100

irrlicht (1.8.4+dfsg1-3) unstable; urgency=medium

  * Add comma between uploaders (Closes: #998712).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 08 Nov 2021 09:43:35 +0100

irrlicht (1.8.4+dfsg1-2) unstable; urgency=medium

  [ Christoph Egger ]
  * Remove myself from uploaders

  [ Julien Puydt ]
  * Shuffle patches around:
    - remove a hurd-specific patch
    - replace it by a generic one (sysctl.patch) (Closes: #997206)
  * Update packaging:
    - point Vcs-* fields to salsa
    - clean d/watch
    - move to b-dep on dh-compat instead of d/compat
    - bump standards-version to 4.6.0.
    - declare usr/lib/include as not-installed (they really are!)
    - add lintian override for non-missing missing sources
  * Add myself as uploader.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 06 Nov 2021 09:49:22 +0100

irrlicht (1.8.4+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Niels Thykier ]
  * Set Rules-Requires-Root to "no" as irrlicht builds fine without
    (fake)root.
  * Tag libirrlicht-doc as "Multi-Arch: foreign".
  * Pass --parallel to dh.
  * Improve a shell look in debian/rules by adding set -e to it and
    fixing a variable reference (it was intended for the shell, but
    make interpreted it instead).
  * Replace "Priority: extra" with "Priority: optional" as the
    former is deprecated.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross compilers.
    (Closes: #853011)

 -- Niels Thykier <niels@thykier.net>  Sun, 06 Jan 2019 16:29:15 +0000
