## irrlicht 1.8.5%2Bds2

=== debian/control ===
Source: irrlicht
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Cheng <vcheng@debian.org>, Julien Puydt <jpuydt@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 doxygen,
 libbz2-dev,
 libglu1-mesa-dev,
 libjpeg-dev,
 libpng-dev,
 libsdl1.2-dev,
 libx11-dev,
 libxrandr-dev,
 libxxf86vm-dev,
 mesa-common-dev (>= 7.6),
 x11proto-xf86vidmode-dev,
 zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: http://irrlicht.sf.net
Vcs-Git: https://salsa.debian.org/games-team/irrlicht.git
Vcs-Browser: https://salsa.debian.org/games-team/irrlicht

Package: libirrlicht-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libirrlicht1.8t64 (= ${binary:Version}), ${misc:Depends}
Suggests: libirrlicht-doc
Description: High performance realtime 3D engine development library
 The Irrlicht Engine is an open source completely cross-platform 3D engine.
 It has support for OpenGL and its own software renderer,
 and has all of the state-of-the-art features
 which can be found in commercial 3d engines.
 .
 This package contains the development library.

Package: libirrlicht1.8t64
Provides: ${t64:Provides}
Replaces: libirrlicht1.8
Breaks: libirrlicht1.8 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: High performance realtime 3D engine
 The Irrlicht Engine is an open source completely cross-platform 3D engine.
 It has support for OpenGL and its own software renderer,
 and has all of the state-of-the-art features
 which can be found in commercial 3d engines.

Package: libirrlicht-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: High performance realtime 3D engine (API documentation)
 The Irrlicht Engine is an open source completely cross-platform 3D engine.
 It has support for OpenGL and its own software renderer,
 and has all of the state-of-the-art features
 which can be found in commercial 3d engines.
 .
 This package contains the API documentation and examples.
