=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: irrlicht
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Vincent Cheng <vcheng@debian.org>, Julien Puydt <jpuydt@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5),
+Build-Depends:
  debhelper-compat (= 13),
  doxygen,
  libbz2-dev,
@@ -19,7 +18,7 @@
  x11proto-xf86vidmode-dev,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Homepage: http://irrlicht.sf.net
 Vcs-Git: https://salsa.debian.org/games-team/irrlicht.git
 Vcs-Browser: https://salsa.debian.org/games-team/irrlicht
@@ -28,7 +27,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libirrlicht1.8t64 (= ${binary:Version}), ${misc:Depends}
+Depends: libirrlicht1.8 (= ${binary:Version}), ${misc:Depends}
 Suggests: libirrlicht-doc
 Description: High performance realtime 3D engine development library
  The Irrlicht Engine is an open source completely cross-platform 3D engine.
@@ -38,10 +37,7 @@
  .
  This package contains the development library.
 
-Package: libirrlicht1.8t64
-Provides: ${t64:Provides}
-Replaces: libirrlicht1.8
-Breaks: libirrlicht1.8 (<< ${source:Version})
+Package: libirrlicht1.8
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
