=== debian/changelog ===
irrlicht (1.8.5+ds2-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * Repack source tarball to remove non-free files. (Closes: #1021325)
  * Update Standards-Version to 4.6.2, no changes needed.

  [ Julien Puydt ]
  * Add a patch to stop using CFLAGS. (Closes: #927456)

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 04 Jan 2023 13:03:53 -0800
