=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  x11proto-xf86vidmode-dev,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://irrlicht.sf.net
 Vcs-Git: https://salsa.debian.org/games-team/irrlicht.git
 Vcs-Browser: https://salsa.debian.org/games-team/irrlicht
