=== debian/watch ===
version=4
opts="\
dversionmangle=s/\+ds\d+$//g,\
repack,repacksuffix=+ds,\
compression=xz,\
" \
 http://sf.net/irrlicht/irrlicht-([\.0-9]+)\.zip
